SuSE 10 Security Update : PHP5 (ZYPP Patch Number 7554)

This script is Copyright (C) 2011-2016 Tenable Network Security, Inc.


Synopsis :

The remote SuSE 10 host is missing a security-related patch.

Description :

This update for PHP5 fixes the following security issues :

- Input Validation in the ZIP extension and
NumberFormatter. (CWE-20, CVE-2011-0421 / CVE-2011-1470
/ CVE-2011-1467)

- Numeric Errors in the SHM support and ZIP extension.
(CWE-189, CVE-2011-1092 / CVE-2011-1471)

- Buffer overflows in the AF_UNIX support, string
handling, streams support. (CWE-119, CVE-2011-1938 /
CVE-2011-1464 / CVE-2011-1469)

- Resource management error (use after free) in string
handling. (CWE-399, CVE-2011-1148)

- Memory leak in the OpenSSL extension (CVE-2011-1468)

See also :

http://support.novell.com/security/cve/CVE-2011-0421.html
http://support.novell.com/security/cve/CVE-2011-1092.html
http://support.novell.com/security/cve/CVE-2011-1148.html
http://support.novell.com/security/cve/CVE-2011-1464.html
http://support.novell.com/security/cve/CVE-2011-1467.html
http://support.novell.com/security/cve/CVE-2011-1468.html
http://support.novell.com/security/cve/CVE-2011-1469.html
http://support.novell.com/security/cve/CVE-2011-1470.html
http://support.novell.com/security/cve/CVE-2011-1471.html
http://support.novell.com/security/cve/CVE-2011-1938.html

Solution :

Apply ZYPP patch number 7554.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now